import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotConsultation {
    render() {
        return (h("section", { class: "Consultation" },
            h("div", { class: "container" },
                h("div", { class: "row" },
                    h("div", { class: "col-lg-6 col-12 d-flex justify-content-center", ref: (el) => this.consultantImgParent = el },
                        h("div", { class: "Consultation_img", id: "Consultation_img", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.payload.imgUrl + ")" }, onClick: () => this.clickOnConsultation.emit(this.payload.imgUrl), ref: (el) => this.consultantImg = el })),
                    h("div", { class: "col-lg-6 col-12 mt-5 pt-5" },
                        h("div", { class: "Consultation_advertising_link_block" },
                            h("div", { class: "Consultation_title_block" },
                                h("div", { class: "Consultatio_title wow animate__animated animate__backInUp", onClick: () => this.clickOnConsultation.emit(this.payload.title) }, this.payload.title)),
                            h("div", { class: "Consultation_text wow animate__animated animate__backInUp", innerHTML: this.payload.text, onClick: () => this.clickOnConsultation.emit(this.payload.text) }),
                            h("div", { class: "Consultation_btn_block" },
                                h("button", { class: "Consultation_btn wow animate__animated animate__backInUp", onClick: () => {
                                        this.clickOnConsultation.emit(this.payload.btnText);
                                        this.openForm.emit();
                                    } }, this.payload.btnText))))))));
    }
    componentDidLoad() {
        this.initAnimation();
    }
    disconnectedCallback() {
        this.observer && this.observer.observe;
    }
    /**
     * функция для движения картинки во время скрола
     * */
    initAnimation() {
        const options = {
            root: null,
            rootMargin: '0px',
            threshold: [
                0.1, 0.15,
                0.2, 0.25,
                0.3, 0.35,
                0.4, 0.45,
                0.5, 0.55,
                0.6, 0.65,
                0.7, 0.75,
                0.8, 0.85,
                0.9, 0.95,
                1
            ],
        };
        const callback = (entries) => {
            const intersectionRatio = entries[0].intersectionRatio, top = entries[0].boundingClientRect.top, transformX = 120 - (120 * intersectionRatio);
            if (top > 0) {
                return this.consultantImg.style.transform = `translateX(-${transformX}%)`;
            }
        };
        this.observer = new IntersectionObserver(callback, options);
        this.observer.observe(this.consultantImgParent);
    }
    ;
    static get is() { return "cnt-flexy-view-abdullakh-bot-consultation"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-consultation.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-consultation.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhConsultation",
                "resolved": "SSAbdullakhConsultation",
                "references": {
                    "SSAbdullakhConsultation": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Consultation"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnConsultation",
            "name": "clickOnConsultation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Consultation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
