import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotTransitionCreateBotTitle {
    render() {
        /**
         * вызов функции анимации блока transitionCreateBotImg при скроле
         * */
        return (h("div", { class: "transitionCreateBotImgPosition", ref: (el) => this.creatBotParent = el },
            h("div", { class: "transitionCreateBotImg", id: "transitionCreateBotImg", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.arr.imgUrl + ")" }, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.imgUrl), ref: (el) => this.creatBotImg = el }),
            h("div", { class: "transitionCreateBotTitleBlock" },
                h("div", { class: "transitionCreateBotTitle", innerHTML: this.arr.title, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.title) }))));
    }
    componentDidLoad() {
        this.initAnimation();
    }
    disconnectedCallback() {
        this.observer && this.observer.observe;
    }
    /**
     * функция для движения картинки во время скрола
     * */
    initAnimation() {
        const options = {
            root: null,
            rootMargin: '0px',
            threshold: [
                0.1, 0.15,
                0.2, 0.25,
                0.3, 0.35,
                0.4, 0.45,
                0.5, 0.55,
                0.6, 0.65,
                0.7, 0.75,
                0.8, 0.85,
                0.9, 0.95,
                1
            ],
        };
        const callback = (entries) => {
            const intersectionRatio = entries[0].intersectionRatio, top = entries[0].boundingClientRect.top, transformX = 120 - (120 * intersectionRatio);
            if (top > 0) {
                return this.creatBotImg.style.transform = `translateX(-${transformX}%)`;
            }
        };
        this.observer = new IntersectionObserver(callback, options);
        this.observer.observe(this.creatBotParent);
    }
    ;
    static get is() { return "cnt-flexy-view-abdullakh-bot-transition-create-bot-title"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-transition-create-bot-title.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-transition-create-bot-title.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBotTitle \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTransitionCreateBot",
            "name": "clickOnTransitionCreateBot",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
