import { Component, h, State } from '@stencil/core';
import { Consultation, formCommunication, header, PerformanceAndBenefits, ProductInformation, ProductPresentation, Tariffs, TransitionCreateBot } from "../../utils/mock";
export class MyComponent {
    constructor() {
        /**
         * временный префикс ссылки для картинок
         */
        this.testPathToAssets = "https://cdn.ramman.net/flexy-view/abdullakh/bot/assets/";
    }
    render() {
        return (h("div", null,
            this.popupComplited ? (h("cnt-flexy-view-abdullakh-bot-form-communication-1_0_0", { payload: formCommunication, pathToAssets: this.testPathToAssets, onCloseForm: () => {
                    this.closeForm();
                } })) : (""),
            h("cnt-flexy-view-abdullakh-bot-header-1_0_0", { pathToAssets: this.testPathToAssets, categories: header }),
            h("cnt-flexy-view-abdullakh-bot-product-presentation-1_0_0", { payload: ProductPresentation, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-product-information-1_0_0", { payload: ProductInformation, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-transition-create-bot-1_0_0", { payload: TransitionCreateBot, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-performance-and-benefits-1_0_0", { payload: PerformanceAndBenefits, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-consultation-1_0_0", { payload: Consultation, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() }),
            h("cnt-flexy-view-abdullakh-bot-tariffs-1_0_0", { payload: Tariffs, pathToAssets: this.testPathToAssets, onOpenForm: () => this.openForm() })));
    }
    /**
     * Вызов модального окна формы
     */
    openForm() {
        this.popupComplited = true;
    }
    /**
     * Закрытие модального окна формы
     */
    closeForm() {
        this.popupComplited = false;
    }
    static get is() { return "my-component"; }
    static get originalStyleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get states() { return {
        "popupComplited": {}
    }; }
}
